Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface DeleteAction

    public interface DeleteAction

Deletes files and directories.

Authors:
  Hans Dockter

Method Summary
`boolean` | `delete(Object... paths)` Deletes files and directories.

Method Detail

### delete

    public boolean delete(Object... paths)

  Deletes files and directories.
  Parameters:
    `paths` - Any type of object accepted by Project.files
  Returns:
    true if anything got deleted, false otherwise

Gradle API 1.1-rc-1